petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSubcommSetNumber

Set total number of subcommunicators.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSubcommSetNumber(PetscSubcomm psubcomm,PetscInt nsubcomm)

Collective

### Input Parameter

| psubcomm | - PetscSubcomm context
| nsubcomm | - the total number of subcommunicators in psubcomm

### See Also

PetscSubcommCreate(),PetscSubcommDestroy(),PetscSubcommSetType(),PetscSubcommSetTypeGeneral()

### Level

advanced

### Location

src/sys/objects/subcomm.c

### Examples

src/ksp/ksp/examples/tutorials/ex73.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages